std::thread(3)

NAME
std::thread - thread

SYNOPSIS

  Classes
class id
thread::id

  Public Types
using _State_ptr = unique_ptr< _State >
typedef __gthread_t native_handle_type

  Public Member Functions
template<typename _Callable , typename... _Args, typename = _Require<__not_same<_Callable>>> thread (_Callable &&__f, _Args &&... __args)
thread (const thread &)=delete
thread (thread &&__t) noexcept
void detach ()
id get_id () const noexcept
void join ()
bool joinable () const noexcept
native_handle_type native_handle ()
thread & operator= (const thread &)=delete
thread & operator= (thread &&__t) noexcept
void swap (thread &__t) noexcept

  Static Public Member Functions
template<typename _Callable , typename... _Args> static _Invoker< __decayed_tuple< _Callable, _Args... > > __make_invoker (_Callable &&__callable, _Args &&... __args)
static unsigned int hardware_concurrency () noexcept

Detailed Description

thread

Definition at line 73 of file thread.

Author

Generated automatically by Doxygen for libstdc++ from the source code.